<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
  },
});
</script>

<template>
  <div class="addons__container">
    <SlpTypography variant="heading2-bold" tag="h2"
      >{{ data.heading }}
    </SlpTypography>
    <SlpTypography variant="heading4" tag="h3" class="addons__subtitle"
      >{{ data.text }}
    </SlpTypography>
    <SlpRow class="addons__card_container">
      <SlpColumn v-for="card in data.cards" :key="card.title" size="lg">
        <a
          class="addons__card"
          :href="card.link.url"
          :data-ga-name="card.link.data_ga_name"
          :data-ga-location="card.link.data_ga_location"
        >
          <SlpTypography
            variant="heading4"
            class="addons__card_heading"
            tag="h3"
            >{{ card.heading }}
          </SlpTypography>
          <div class="addons__card_price">
            <SlpTypography variant="heading1" tag="h4"
              >{{ card.price }}
            </SlpTypography>
            <div class="details">
              <SlpTypography variant="body2" tag="p"
                >{{ card.price_info }}
              </SlpTypography>
              <SlpTypography variant="body2" tag="p"
                >{{ card.description }}
              </SlpTypography>
            </div>
          </div>
          <SlpTypography variant="body2-bold" tag="span" class="addons__link">
            {{ card.link.text }}
            <SlpIcon
              class="slp-ml-16"
              name="chevron-lg-right"
              variant="product"
              slp-color="primary-200"
              alt="Chevron Right Icon"
            />
          </SlpTypography>
        </a>
      </SlpColumn>
    </SlpRow>
  </div>
</template>

<style lang="scss" scoped>
.addons {
  &__container {
    background: $color-surface-800;
    border-radius: $border-radius-24;
    margin-bottom: $spacing-96;
    padding: $spacing-32 $spacing-16;

    @media (min-width: $breakpoint-lg) {
      padding: $spacing-96 $spacing-64;
    }
  }

  &__card_container {
    width: 100%;
  }

  &__subtitle {
    @media (min-width: $breakpoint-lg) {
      width: 60%;
    }
    margin-bottom: 40px;
  }

  &__card {
    border-radius: 12px;
    display: block;
    padding: $spacing-24;
    background-color: white;
    margin-bottom: $spacing-24;
    transition: all 0.3s ease-in;
    height: 100%;

    &:hover {
      box-shadow: 0 24px 50px -16px #d1d0d3;
    }

    @media (min-width: $breakpoint-lg) {
      width: 440px;
      padding: 40px $spacing-48;
    }

    &_heading {
      margin-bottom: 40px;
      color: $color-text-300;
    }

    &_price {
      display: flex;
      flex-direction: row;
      align-items: center;
      margin-bottom: $spacing-24;
      h1 {
        color: $color-text-300;
      }
      .details {
        margin-left: $spacing-24;
        max-width: inherit;
        word-break: break-word;
        p {
          font-weight: bold;
        }
      }
    }
  }

  &__link {
    color: black;
    display: flex;
    align-items: center;

    .slp-icon {
      width: 18px;
      height: 20px;
    }
  }
}
</style>
